RELEASED [SMAPI] Get Dressed (Updated for 1.2!)

Discussion in 'Mods' started by Jinxiewinxie, Apr 19, 2016.

  1. Pathoschild

    Pathoschild Existential Complex

    @RimAminax It looks like you have two copies of GetDressed in your Mods folder. Delete one of them and the error will go away.
     
    • RimAminax

      RimAminax Intergalactic Tourist

      Thank you for you patience and help! I really appreciate it!
       
      • Seyjin

        Seyjin Void-Bound Voyager

        Hi,
        I have a little issue I don’t understand. I Made a personal patch for Furry/Anthro Player. I extract, cut and rename images to femal_face2_nose(0 to 2).png and edit "FemaleFaceTypes" in config.json. It working but the accessory number disappear. What have I forgotten?

        [​IMG]
         
        • MajorFusion

          MajorFusion Space Hobo

          So, I got an odd error. Everything loads up fine, SMAPI says everything is well, however, in game, when I go to change any of the additional features, i.e. nose, face, etc, things go wrong.

          The selection seems to cycle incredibly fast through the options as well as not actually applying anything in the process. Changing face, nose, etc does nothing to my actual character.
          I have taken all mods out, verified all files through steam and left only Get Dressed installed to no avail. These issues occur with already existing save files or brand new ones.

          I am on Linux if that should make any noticeable difference.

          I have attached my SMAPI-latest.txt


          EDIT after Resolution:

          Alright, so, if anyone else is running an uncommon Distro of Linux that uses it's own package manager (*cough* Solus *cough*), attempt to install libgdiplus-devel through your package manager. That is what was causing my issues.
           

            Attached Files:

            Last edited: Jul 7, 2017
          • jirazy

            jirazy Yeah, You!

            I've re-downloaded this mod several times, this is the error i keep getting:
            " [18:45:42 WARN SMAPI] The GetDressed mod failed on entry initialisation. It will still be loaded, but may not function correctly.
            System.InvalidOperationException: There is an error in XML document (1, 18499). ---> System.FormatException: Input string was not in a correct format.
            at System.Number.StringToNumber(String str, NumberStyles options, NumberBuffer& number, NumberFormatInfo info, Boolean parseDecimal)
            at System.Number.ParseInt32(String s, NumberStyles style, NumberFormatInfo info)
            at System.Xml.XmlConvert.ToInt32(String s)
            at Microsoft.Xml.Serialization.GeneratedAssembly.XmlSerializationReaderFarmer.Read59_Farmer(Boolean isNullable, Boolean checkType)
            at Microsoft.Xml.Serialization.GeneratedAssembly.XmlSerializationReaderFarmer.Read60_Farmer()
            --- End of inner exception stack trace ---
            at System.Xml.Serialization.XmlSerializer.Deserialize(XmlReader xmlReader, String encodingStyle, XmlDeserializationEvents events)
            at System.Xml.Serialization.XmlSerializer.Deserialize(Stream stream)
            at GetDressed.GetDressed.<ReadLocalConfigs>d__21.MoveNext() in D:\source\_Stardew\GetDressed\GetDressed\GetDressed.cs:line 301
            at System.Linq.Buffer`1..ctor(IEnumerable`1 source)
            at System.Linq.OrderedEnumerable`1.<GetEnumerator>d__1.MoveNext()
            at System.Linq.Buffer`1..ctor(IEnumerable`1 source)
            at System.Linq.Enumerable.ToArray[TSource](IEnumerable`1 source)
            at GetDressed.GetDressed.Entry(IModHelper helper) in D:\source\_Stardew\GetDressed\GetDressed\GetDressed.cs:line 71
            at StardewModdingAPI.Program.LoadMods(IModMetadata[] mods, JsonHelper jsonHelper, SContentManager contentManager, IList`1 deprecationWarnings) in D:\source\_Stardew\SMAPI\src\StardewModdingAPI\Program.cs:line 674 "

            what does this mean?

            edit: why did it change it to emoticons...
             
            • veganvulcan

              veganvulcan Intergalactic Tourist

              Sorry for the late response; just saw this.
              The recent update actually fixed the issue! Yay updates :3

              Thank you for your help!
               
              • jirazy

                jirazy Yeah, You!

                i screenshoted the error, I've redownloaded the updated mod and app multiple times, i always get this error (more weapons is another mod that won't work either). Capture.PNG
                 
                • Pathoschild

                  Pathoschild Existential Complex

                  @jirazy Does the attached version of Get Dressed fix the error?

                  [Edit: download removed.]
                   
                    Last edited: Jul 11, 2017
                  • Pathoschild

                    Pathoschild Existential Complex

                  • notexpect

                    notexpect Space Hobo

                    maybe it's not important but : mod working is very well all time but after its installation something disappears - text in the message junimos... I dunno why this happen( smapi 1.14./1.15-1.15.1 not registered errors, no other thing(
                     

                      Attached Files:

                    • autumnalmanac821

                      autumnalmanac821 Space Hobo

                      I'm also having an issue on mac. After I click on my saved game, the menu clears, then the game freezes (though music continues) and my cursor turns into a beachball. There are no errors of any kind in the terminal.
                       
                      • Pathoschild

                        Pathoschild Existential Complex

                        If you're getting errors on the load menu, try this unofficial update until the authors look at my pull request.
                         

                          Attached Files:

                          staarfruit likes this.
                        • staarfruit

                          staarfruit Industrial Terraformer

                          The unofficial update worked for me, thank you!
                           
                          • autumnalmanac821

                            autumnalmanac821 Space Hobo

                            The unofficial update didn't fix my issue.
                             
                            • Pathoschild

                              Pathoschild Existential Complex

                              @autumnalmanac821 Does it still happen if you remove Get Dressed from your Mods folder?
                               
                              • Karmylla

                                Karmylla Big Damn Hero

                                Getting a strange error after downloading the latest update, though the mod works fine in game.
                                The only issue I had was with the key, I had to change the "C" in game and restart it. Also tried changing the key in the config file, which worked as well.
                                Hope the report helps!
                                 

                                  Attached Files:

                                • Pathoschild

                                  Pathoschild Existential Complex

                                  @Karmylla That's strange; the error mentions SaveGame.loadDataToFarmer, which the latest mod code is no longer using. Maybe an old version was accidentally deployed to Nexus?
                                   
                                  • Karmylla

                                    Karmylla Big Damn Hero

                                    Maybe? I did download it via Nexus, yes, so it could be that.
                                     
                                    • Xuomi

                                      Xuomi Aquatic Astronaut

                                      The latest version of Get Dressed released on Nexus doesn't work for me. My error log says this:
                                      Code:
                                      [20:27:43 TRACE SMAPI] Loading GetDressed from GetDressed\GetDressed.dll...
                                      [20:27:43 TRACE SMAPI]    Failed: it's not compatible with the latest version of the game or SMAPI. Please check for a version newer than 3.3 here: http://www.nexusmods.com/stardewvalley/mods/331
                                      I removed it and installed @Pathoschild's unofficial update and now it loads.

                                      I'm thinking the wrong version was uploaded to Nexus.
                                       

                                        Attached Files:

                                      • Karmylla

                                        Karmylla Big Damn Hero

                                        Yup, it's definitely the version uploaded to Nexus. I've just downloaded your unofficial update and everything is in order, no errors whatsoever.
                                         

                                        Share This Page